#!/bin/sh
if [ "`uname`" = "Linux" ]; then enable -n echo; fi
##*************************************
##
## E.S.O. - VLT project
##
## "@(#) $Id: vmmps,v 3.24 2004/12/18 04:03:39 vltsccm Exp $" 
##
## vmmps"
## 
## who      when     what
##-------- -------- ------------------
##vimosmgr 04/05/00 created for cmm
##
##############################################################################
#
# who       when      what
# --------  --------  ----------------------------------------------
#  D.Bottini 13/07/99   created
#************************************************************************
#   NAME
#       vmmps - startup shell script for VMMPS
#
#   SYNOPSIS
#       vmmps
#
#   DESCRIPTION
#       This shell script sets all relevant UNIX environment variables
#       to plugin the VMMPS module to the ESO SkyCat Tool
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS
#
#------------------------------------------------------------------------

# command line options for skycat
OPTION="-with_grid 1 -scrollbars 1 -rtd 0"

# where vmmps is installed
VMMPS=@@VMMPSBASEPATH@@
export VMMPS

INTROOT=$VMMPS; export INTROOT;

PATH=${VMMPS}/bin:${VMMPS}/lib:${PATH}
export PATH

SYSTEM=`uname -s`

if [ "$VLTROOT" = "" ]
then
  VLTROOT=$INTROOT 
  export VLTROOT
fi
if [ ! -d $VLTROOT ]; then
  VLTROOT=$INTROOT 
  export VLTROOT
fi

if [ "$TCLTK_ROOT" = "" ]
then
  TCLTK_ROOT=$VMMPS/lib/tcltk
  export TCLTK_ROOT
fi
if [ ! -d $TCLTK_ROOT ]
then
  TCLTK_ROOT=$VMMPS/lib/tcltk
  export TCLTK_ROOT
fi

if [ "$GNU_ROOT" = "" ]
then
  GNU_ROOT=$VMMPS
  export GNU_ROOT
fi
if [ ! -d $GNU_ROOT ]
then
  GNU_ROOT=$VMMPS
  export GNU_ROOT
fi
if [ "$DFLOW_ROOT" = "" ]
then
  DFLOW_ROOT=$VLTROOT
  export DFLOW_ROOT
fi
if [ ! -d $DFLOW_ROOT ]
then
  DFLOW_ROOT=$VLTROOT
  export DFLOW_ROOT
fi
if [ "$SYSTEM" != "HP-UX" ]; then
  LD_LIBRARY_PATH=$GNU_ROOT/lib:$TCLTK_ROOT/lib:$VLTROOT/lib:${LD_LIBRARY_PATH}
  export LD_LIBRARY_PATH
else 
  SHLIB_PATH=$GNU_ROOT/lib:$TCLTK_ROOT/lib:$VLTROOT/lib:${SHLIB_PATH}
  export SHLIB_PATH
fi


# P L U G I N S 

SKYCAT_PLUGIN=$INTROOT/lib/libvmmpsPlugins.tcl/SkyCat_plugin.tcl:$INTROOT/lib/libfcPlugins.tcl/FindingChart_plugin.tcl; export SKYCAT_PLUGIN

echo "SKYCAT=$SKYCAT_PLUGIN"


# call skycat
skycat $OPTION









