#-*-tcl-*-
# E.S.O. - VLT project/ESO Archive
#
# "@(#) $Id: SkyCat_plugin.tcl,v 3.24 2004/12/18 04:03:35 vltsccm Exp $" 
# $Id: SkyCat_plugin.tcl,v 3.24 2004/12/18 04:03:35 vltsccm Exp $
#
# SkyCat_plugin.tcl - SkyCat plug-in script for VMMPS
#
# See the documentation, man pages and Itcl widget source code for details.
#
# who         when       what
# --------   ---------   ----------------------------------------------
# Dario Bottini 01 Apr 00  created
#

puts "Loading VIMOS Mask Preparation Software plugin..."

# This proc is required. It will be called once for each skycat
# instance. The parameter is the name ("$this") of the SkyCat
# class object.

proc SkyCat_plugin {this} {
    global test_image
    # get the toplevel widget name
    set w [utilNamespaceTail $this]

    #puts "DB JLBQ > call a proc to add items to the Graphics menu"

    # call a proc to add items to the Graphics menu.
    # Note that the directory containing this file is automatically
    # appended to the Tcl auto_path, so we can just call a proc
    # as long as there is a tclIndex file in this directory.
    set p [$w component view]
    set t [$w component image component info component trans]
    set image_  [lindex [$w component image info variable image_ ] 4]
    set test_image $image_
    vmmps_menu $w
}

body rtd::Rtd::quit {} {

    #puts "DB> Quitting VMMPS application ..."
    delete object $this
    after idle exit
}

body rtd::RtdImageCtrl::open {{dir "."} {pattern "*.*fit*"}} {
    global env imageName test_image
    set w [utilNamespaceTail $this]
   
    set file [filename_dialog $dir $pattern $w]
  
    if {"$file" != ""} {
	if {[file isfile $file]} {
	     config -file $file    
	}
    }    
}











